import { defineNuxtPlugin, useRuntimeConfig } from "#app";
import BagelNuxt from "./bageldb-nuxt.mjs";
export default defineNuxtPlugin(async (nuxtApp) => {
  const runtimeConfig = useRuntimeConfig();
  const ctx = runtimeConfig?.public?.bageldb || runtimeConfig?.bageldb;
  const db = new BagelNuxt(ctx?.token, ctx);
  nuxtApp.vueApp.config.globalProperties.$db = db;
  return {
    provide: {
      [ctx?.alias || "$db"]: db
    }
  };
});
